/// Attempting to create multiple segments with overlapping timestamps
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SegmentConflict {
    #[serde(rename = "videoRid")]
    video_rid: conjure_object::ResourceIdentifier,
    #[builder(
        custom(
            type = super::super::super::super::super::objects::scout::video::api::Bounds,
            convert = Box::new
        )
    )]
    #[serde(rename = "segment1Bounds")]
    segment1_bounds: Box<
        super::super::super::super::super::objects::scout::video::api::Bounds,
    >,
    #[builder(
        custom(
            type = super::super::super::super::super::objects::scout::video::api::Bounds,
            convert = Box::new
        )
    )]
    #[serde(rename = "segment2Bounds")]
    segment2_bounds: Box<
        super::super::super::super::super::objects::scout::video::api::Bounds,
    >,
}
impl SegmentConflict {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        video_rid: conjure_object::ResourceIdentifier,
        segment1_bounds: super::super::super::super::super::objects::scout::video::api::Bounds,
        segment2_bounds: super::super::super::super::super::objects::scout::video::api::Bounds,
    ) -> Self {
        Self::builder()
            .video_rid(video_rid)
            .segment1_bounds(segment1_bounds)
            .segment2_bounds(segment2_bounds)
            .build()
    }
    #[inline]
    pub fn video_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.video_rid
    }
    #[inline]
    pub fn segment1_bounds(
        &self,
    ) -> &super::super::super::super::super::objects::scout::video::api::Bounds {
        &*self.segment1_bounds
    }
    #[inline]
    pub fn segment2_bounds(
        &self,
    ) -> &super::super::super::super::super::objects::scout::video::api::Bounds {
        &*self.segment2_bounds
    }
}
impl conjure_error::ErrorType for SegmentConflict {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Video:SegmentConflict"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["segment1Bounds", "segment2Bounds", "videoRid"]
    }
}
